#include "descriptor/descriptor.h"
#define FRAME 100


//posizioni iniziali ruote per rotazioni
#define bulloni_cerchione_destro_anteriore_x 0.22937
#define bulloni_cerchione_destro_anteriore_y 0.00000
#define bulloni_cerchione_destro_anteriore_z 0.00116
#define pneumatico_destro_anteriore_x 		0.12000
#define pneumatico_destro_anteriore_y		0.00000
#define pneumatico_destro_anteriore_z		0.00000
#define cerchio_completo_destro_anteriore_x	0.12008
#define cerchio_completo_destro_anteriore_y	0.00000
#define cerchio_completo_destro_anteriore_z	0.00000

#define bulloni_cerchione_destro_posteriore_x 0.22937
#define bulloni_cerchione_destro_posteriore_y -3.20000
#define bulloni_cerchione_destro_posteriore_z 0.00116
#define pneumatico_destro_posteriore_x 		 0.12000
#define pneumatico_destro_posteriore_y		-3.20000
#define pneumatico_destro_posteriore_z		 0.00000
#define cerchio_completo_destro_posteriore_x	 0.12008
#define cerchio_completo_destro_posteriore_y	-3.20000
#define cerchio_completo_destro_posteriore_z	 0.00000

#define bulloni_cerchione_sinistro_anteriore_x -1.33937
#define bulloni_cerchione_sinistro_anteriore_y  0.00000
#define bulloni_cerchione_sinistro_anteriore_z  0.00116
#define pneumatico_sinistro_anteriore_x 	  -1.24000
#define pneumatico_sinistro_anteriore_y		   0.00000
#define pneumatico_sinistro_anteriore_z		   0.00000
#define cerchio_completo_sinistro_anteriore_x  -1.23992
#define cerchio_completo_sinistro_anteriore_y   0.00000
#define cerchio_completo_sinistro_anteriore_z   0.00000

#define bulloni_cerchione_sinistro_posteriore_x -1.33937
#define bulloni_cerchione_sinistro_posteriore_y -3.20000
#define bulloni_cerchione_sinistro_posteriore_z  0.00116
#define pneumatico_sinistro_posteriore_x 	   -1.24000
#define pneumatico_sinistro_posteriore_y	   -3.20000
#define pneumatico_sinistro_posteriore_z	    0.00000
#define cerchio_completo_sinistro_posteriore_x  -1.23992
#define cerchio_completo_sinistro_posteriore_y  -3.20000
#define cerchio_completo_sinistro_posteriore_z   0.00000



int main(void) {

  ITEM	nero, bianco, blu, rosso, vetro, specchio, steel, arancio, verde, grigio, obsGlass;
  ITEM	carrozzeria, vetri, pezzi_neri, pezzi_rossi, fari_anteriori, griglia_anteriore_fari,
		griglia_paraurti_anteriore_sotto, vetri_fari_anteriori, frecce;
  ITEM    pneumatico_destro_anteriore, pneumatico_sinistro_anteriore, 
		pneumatico_destro_posteriore, pneumatico_sinistro_posteriore;
  ITEM    cerchio_completo_destro_anteriore, cerchio_completo_sinistro_anteriore, 	
		cerchio_completo_destro_posteriore, cerchio_completo_sinistro_posteriore, 
		bulloni_cerchione_destro_anteriore, bulloni_cerchione_destro_posteriore,
          bulloni_cerchione_sinistro_anteriore, bulloni_cerchione_sinistro_posteriore,  
		pinza_disco_freno_destro_anteriore, pinza_disco_freno_destro_posteriore,
		pinza_disco_freno_sinistro_anteriore, pinza_disco_freno_sinistro_posteriore,	
		interni, marmitte, targa, stemma;
  ITEM    specchio_sx, specchio_dx;
  ITEM    strada, prato, parcheggi, muretto;
  ITEM	scene;
  

  float rotazione_ruote = -10.0;
  float trasla_auto_x = 0.0, trasla_auto_y = 0.07;
  float conta_trasla_auto_x = 0.0, conta_trasla_auto_y = 0.0;
  float conta_rotazione_auto = 0.0;
  float rotazione_auto = -1.8;  
  float gira_ruote_anteriori = 0.0;
  float conta_gira_ruote_anteriori = 0.0;
  int i;
	
  
  set_background(0.676,0.861,0.953,TRUE);
  set_ambient_light(1,1,1,0.7);
  create_point_light(16.16,15.90,9.39,1,1,1,3.89,20, "light1");
  create_point_light(12,-12,9,1,1,1,4,20, "light2");
  create_point_light(2.33,-0.25,16.21,1,1,1,3.89,25, "light3");

  /*** ATTRIBUTE blu ***/
  blu = create_attribute("blu");
  set_color(blu,0,0,1,0.5,0.5);
  set_reflectivity(blu,0.3,10);

  /*** ATTRIBUTE nero ***/
  nero = create_attribute("nero");
  set_color(nero,0,0,0,0,0);
  //set_reflectivity(nero,0.1,0.2);
 
  /*** ATTRIBUTE rosso ***/
  rosso = create_attribute("rosso");
  set_color(rosso, 0.6, 0, 0, 1.0, 0.5);
  
  /*** ATTRIBUTE arancio ***/
  arancio = create_attribute("arancio");
  set_color(arancio, 1, 0.5, 0.0, 1.0, 0.5);
  
  /*** ATTRIBUTE verde ***/
  verde = create_attribute("verde");
  set_color(verde,0,0.174,0.095,0.5,0.6);
  //set_reflectivity(verde,0.17,15);

  /*** ATTRIBUTE grigio ***/
  grigio = create_attribute("grigio");
  set_color(grigio, 0.5, 0.5, 0.5, 0.5, 0.5);

  /*** ATTRIBUTE glass ***/
  vetro = create_attribute("glass");
  set_color(vetro,1.0,1.0,1.0,0.5,0.5);
  set_reflectivity(vetro,0.24,2);
  set_transparency(vetro,0.87,0.68,1,1.2);

   /*** ATTRIBUTE bianco ***/
  bianco = create_attribute("bianco");
  set_color(bianco,1.0,1.0,1.0,0.5,0.5);
  set_reflectivity(bianco,0.24,2);
  
  /*** ATTRIBUTE specchio ***/
  specchio = create_attribute("specchio");
  set_color(specchio,0.3,0.3,0.3,1,0);
  set_reflectivity(specchio,1.0,128);

  /*** ATTRIBUTE steel ***/
  steel = create_attribute("steel");
  set_color(steel,0.3,0.3,0.3,0.5,1);
  set_reflectivity(steel,0.3,128);

  /*** ATTRIBUTE obsGlass ***/
  obsGlass = create_attribute("obsGlass");
  set_color(obsGlass,0.04,0.06,0.07,0.5,0.5);
  set_reflectivity(obsGlass,0.24,2);
  set_transparency(obsGlass,0.19,0.08,1,1.2);


  carrozzeria = read_obj("carrozzeria.obj", "carrozzeria");
  set_attribute(carrozzeria, blu);
  
  vetri = read_obj("vetri.obj", "vetri");
  set_attribute(vetri, vetro);

  pezzi_neri = read_obj("pezzi_neri.obj", "pezzi_neri");
  set_attribute(pezzi_neri, nero);
  
  pezzi_rossi = read_obj("pezzi_rossi.obj", "pezzi_rossi");
  set_attribute(pezzi_rossi, rosso);
  
  interni = read_nurbs("interni.db");  
  set_attribute(interni, nero);

  specchio_dx = read_nurbs("vetro_specchietto_destro_ok.db");
  set_attribute(specchio_dx, specchio);
  specchio_sx = read_nurbs("vetro_specchietto_sinistro_ok.db");
  set_attribute(specchio_sx, specchio);

  cerchio_completo_destro_anteriore = read_obj("ruota_destra_anteriore.obj", "cerchio_completo_destro_anteriore");
  set_attribute(cerchio_completo_destro_anteriore, steel);

  cerchio_completo_destro_posteriore = read_obj("ruota_destra_posteriore.obj", "cerchio_completo_destro_posteriore");
  set_attribute(cerchio_completo_destro_posteriore, steel);

  cerchio_completo_sinistro_anteriore = read_obj("ruota_sinistra_anteriore.obj", "cerchio_completo_sinistro_anteriore");
  set_attribute(cerchio_completo_sinistro_anteriore, steel);

  cerchio_completo_sinistro_posteriore = read_obj("ruota_sinistra_posteriore.obj", "cerchio_completo_sinistro_posteriore");
  set_attribute(cerchio_completo_sinistro_posteriore, steel);

  bulloni_cerchione_destro_anteriore = read_obj("bulloni_cerchione_destro_anteriore.obj", "bulloni_cerchione_destro_anteriore");
  set_attribute(bulloni_cerchione_destro_anteriore, obsGlass);

  bulloni_cerchione_destro_posteriore = read_obj("bulloni_cerchione_destro_posteriore.obj", "bulloni_cerchione_destro_posteriore");
  set_attribute(bulloni_cerchione_destro_posteriore, obsGlass);

  bulloni_cerchione_sinistro_anteriore = read_obj("bulloni_cerchione_sinistro_anteriore.obj", "bulloni_cerchione_sinistro_anteriore");
  set_attribute(bulloni_cerchione_sinistro_anteriore, obsGlass);

  bulloni_cerchione_sinistro_posteriore = read_obj("bulloni_cerchione_sinistro_posteriore.obj", "bulloni_cerchione_sinistro_posteriore");
  set_attribute(bulloni_cerchione_sinistro_posteriore, obsGlass);

  pinza_disco_freno_destro_anteriore = read_nurbs("pezzo14_dxa.db");
  set_attribute(pinza_disco_freno_destro_anteriore, blu);

  pinza_disco_freno_destro_posteriore = read_nurbs("pezzo14_dxp.db");
  set_attribute(pinza_disco_freno_destro_posteriore, blu);
  
  pinza_disco_freno_sinistro_anteriore = read_nurbs("pezzo14_sxa.db");
  set_attribute(pinza_disco_freno_sinistro_anteriore, blu);

  pinza_disco_freno_sinistro_posteriore = read_nurbs("pezzo14_sxp.db");
  set_attribute(pinza_disco_freno_sinistro_posteriore, blu);

  pneumatico_destro_anteriore = read_nurbs("pneumatico_dxa.db");  
  //set_attribute(pneumatico_destro_anteriore, nero);
  set_bump_texture(pneumatico_destro_anteriore, nero, "textures/gomma.hr", 0, 1, 0, 0.1, TRUE, 0.5, 0.5);

  pneumatico_destro_posteriore = read_nurbs("pneumatico_dxp.db");  
  //set_attribute(pneumatico_destro_posteriore, nero);
  set_bump_texture(pneumatico_destro_posteriore, nero, "textures/gomma.hr", 0, 1, 0, 0.1, TRUE, 0.5, 0.5);
  
  pneumatico_sinistro_anteriore = read_nurbs("pneumatico_sxa.db");  
  //set_attribute(pneumatico_destro_anteriore, nero);
  set_bump_texture(pneumatico_sinistro_anteriore, nero, "textures/gomma.hr", 0, 1, 0, 0.1, TRUE, 0.5, 0.5);
  
  pneumatico_sinistro_posteriore = read_nurbs("pneumatico_sxp.db");  
  //set_attribute(pneumatico_destro_posteriore, nero);
  set_bump_texture(pneumatico_sinistro_posteriore, nero, "textures/gomma.hr", 0, 1, 0, 0.1, TRUE, 0.5, 0.5);
  
  griglia_anteriore_fari = read_nurbs("griglia_cofano_fari.db"); 
  set_domain_texture(griglia_anteriore_fari, nero, "textures/griglia_.hr", 0, 1, 0, 0.5, TRUE, 0.2, 0.2);  

  griglia_paraurti_anteriore_sotto = read_nurbs("griglia_paraurti_anteriore_sotto.db"); 
  set_domain_texture(griglia_paraurti_anteriore_sotto, nero, "textures/griglia_.hr", 0, 1, 0, 0.5, TRUE, 0.2, 0.2);  
  
  fari_anteriori = read_obj("fari_anteriori.obj","fari_anteriori");
  set_attribute(fari_anteriori, steel);
  
  vetri_fari_anteriori = read_obj("vetri_fari_anteriori.obj","vetri_fari_anteriori");
  set_attribute(vetri_fari_anteriori, bianco);

  frecce = read_obj("frecce.obj","frecce");
  set_attribute(frecce, arancio);

  marmitte =  read_obj("marmitte.obj","marmitte");
  set_attribute(marmitte, steel);
 
  targa = read_nurbs("targa.db");  
  //set_attribute(targa, grigio);
  set_domain_texture(targa, nero, "textures/targa.hr", 1, 0, 1, 0, FALSE, 0.5, 0.5);  
  
  stemma = read_nurbs("stemma_posteriore.db");  
  set_attribute(stemma, steel); 
  //set_domain_texture(stemma, nero, "stemma.hr", 1, 0, 1, 0, FALSE, 0.5, 0.5);  

  strada = read_nurbs("strada.db");  
  //set_attribute(strada, grigio); 
  set_projection_texture(strada, grigio, "textures/asfalto01.hr", 2, TRUE, 0.4, 0.4);
   
  parcheggi = read_nurbs("parcheggi.db");  
  //set_attribute(strada, grigio); 
  set_projection_texture(parcheggi, grigio, "textures/asfalto01.hr", 2, TRUE, 0.4, 0.4);
  
  muretto = read_nurbs("muretto.db");  
  //set_attribute(strada, grigio); 
  set_domain_texture(muretto, grigio, "textures/muro.hr", 0, 0.1, 0, 0.4, TRUE, 0.5, 0.5);
  
  prato = read_obj("prato.obj","prato");
  //set_attribute(prato, verde);
  set_projection_texture(prato, verde, "textures/grass_ande.hr", 2, TRUE, 0.4, 0.4);
 

  scene = create_list(carrozzeria, "scene");
  scene = insert_in_list(scene, interni);
  scene = insert_in_list(scene, vetri);
  scene = insert_in_list(scene, pezzi_neri);
  scene = insert_in_list(scene, specchio_sx);
  scene = insert_in_list(scene, specchio_dx);
  scene = insert_in_list(scene, pezzi_rossi);
  scene = insert_in_list(scene, cerchio_completo_destro_anteriore);
  scene = insert_in_list(scene, cerchio_completo_destro_posteriore);
  scene = insert_in_list(scene, cerchio_completo_sinistro_anteriore);
  scene = insert_in_list(scene, cerchio_completo_sinistro_posteriore);
  scene = insert_in_list(scene, pneumatico_destro_anteriore);
  scene = insert_in_list(scene, pneumatico_destro_posteriore);
  scene = insert_in_list(scene, pneumatico_sinistro_anteriore);
  scene = insert_in_list(scene, pneumatico_sinistro_posteriore);
  scene = insert_in_list(scene, bulloni_cerchione_destro_anteriore);
  scene = insert_in_list(scene, bulloni_cerchione_destro_posteriore); 
  scene = insert_in_list(scene, bulloni_cerchione_sinistro_anteriore);
  scene = insert_in_list(scene, bulloni_cerchione_sinistro_posteriore);
  scene = insert_in_list(scene, pinza_disco_freno_destro_anteriore);
  scene = insert_in_list(scene, pinza_disco_freno_destro_posteriore);
  scene = insert_in_list(scene, pinza_disco_freno_sinistro_anteriore);
  scene = insert_in_list(scene, pinza_disco_freno_sinistro_posteriore);
  scene = insert_in_list(scene, fari_anteriori);
  scene = insert_in_list(scene, griglia_anteriore_fari);
  scene = insert_in_list(scene, griglia_paraurti_anteriore_sotto);
  scene = insert_in_list(scene, vetri_fari_anteriori);
  scene = insert_in_list(scene, frecce);
  scene = insert_in_list(scene, marmitte);
  scene = insert_in_list(scene, targa);
  scene = insert_in_list(scene, stemma);
  scene = insert_in_list(scene, strada);
  scene = insert_in_list(scene, parcheggi);
  scene = insert_in_list(scene, muretto);
  scene = insert_in_list(scene, prato);
 
  //traslo la piattaforma
  set_translate(strada, 0.0f, 3.0f, 0.0f);
  set_translate(parcheggi, 0.0f, 3.0f, 0.0f);
  set_translate(muretto, 0.0f, 3.0f, 0.0f);
  set_translate(prato, 0.0f, 3.0f, 0.0f);


  //Ciclo per la creazione di 100 rese	
  for (i=0; i<FRAME; i++){
	
	//traslare tutta l'auto in x e y per creare lo spostamento in avanti e poi dentro il parcheggio
	if(i>2){

		//se il contatore dei frame ha superato il 50 inizio a far ruotare l'auto e la faccio rallentare
		if(i>50){
			conta_rotazione_auto += rotazione_auto;
			trasla_auto_x = 0.05; 
			trasla_auto_y = 0.05;
		}

		//traslo tutti i componenti dell'auto di x e y
          conta_trasla_auto_x += trasla_auto_x;
     	conta_trasla_auto_y += trasla_auto_y;
		set_translate(carrozzeria, trasla_auto_x, trasla_auto_y, 0);
		set_translate(interni, trasla_auto_x, trasla_auto_y, 0);
		set_translate(vetri, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pezzi_neri, trasla_auto_x, trasla_auto_y, 0);
		set_translate(specchio_sx, trasla_auto_x, trasla_auto_y, 0);
		set_translate(specchio_dx, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pezzi_rossi, trasla_auto_x, trasla_auto_y, 0);
		set_translate(cerchio_completo_destro_anteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(cerchio_completo_destro_posteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(cerchio_completo_sinistro_anteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(cerchio_completo_sinistro_posteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pneumatico_destro_anteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pneumatico_destro_posteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pneumatico_sinistro_anteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pneumatico_sinistro_posteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(bulloni_cerchione_destro_anteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(bulloni_cerchione_destro_posteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(bulloni_cerchione_sinistro_anteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(bulloni_cerchione_sinistro_posteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pinza_disco_freno_destro_anteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pinza_disco_freno_destro_posteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pinza_disco_freno_sinistro_anteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(pinza_disco_freno_sinistro_posteriore, trasla_auto_x, trasla_auto_y, 0);
		set_translate(fari_anteriori, trasla_auto_x, trasla_auto_y, 0);
		set_translate(griglia_anteriore_fari, trasla_auto_x, trasla_auto_y, 0);
		set_translate(griglia_paraurti_anteriore_sotto, trasla_auto_x, trasla_auto_y, 0);
		set_translate(vetri_fari_anteriori, trasla_auto_x, trasla_auto_y, 0);
		set_translate(frecce, trasla_auto_x, trasla_auto_y, 0);
		set_translate(marmitte, trasla_auto_x, trasla_auto_y, 0);
		set_translate(targa, trasla_auto_x, trasla_auto_y, 0);
		set_translate(stemma, trasla_auto_x, trasla_auto_y, 0);
	
		
		//rotazione intera auto per svolta a destra
 		if(i>50){
			if(i<=75)
				gira_ruote_anteriori = -1.0;
			else
				gira_ruote_anteriori = 1.0;
			
			//traslo tutti i pezzi che compongono l'auto rispetto alle coordinate del pneumatico destro posteriore 	
			set_translate(carrozzeria, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(interni, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(vetri, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pezzi_neri, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(specchio_sx, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(specchio_dx, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pezzi_rossi, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(cerchio_completo_destro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(cerchio_completo_sinistro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pneumatico_destro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pneumatico_sinistro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(bulloni_cerchione_destro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(bulloni_cerchione_sinistro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pinza_disco_freno_destro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pinza_disco_freno_sinistro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(cerchio_completo_destro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(cerchio_completo_sinistro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pneumatico_destro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pneumatico_sinistro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(bulloni_cerchione_destro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(bulloni_cerchione_sinistro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pinza_disco_freno_destro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(pinza_disco_freno_sinistro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(fari_anteriori, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(griglia_anteriore_fari, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(griglia_paraurti_anteriore_sotto, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(vetri_fari_anteriori, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(frecce, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(marmitte, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(targa, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);
			set_translate(stemma, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);

			//effettuo la rotazione di tutti i pezzi dell'auto 
			set_z_rotate(carrozzeria, rotazione_auto, 1);
			set_z_rotate(interni, rotazione_auto, 1);
			set_z_rotate(vetri, rotazione_auto, 1);
			set_z_rotate(pezzi_neri, rotazione_auto, 1);
			set_z_rotate(specchio_dx, rotazione_auto, 1);
			set_z_rotate(specchio_sx, rotazione_auto, 1);
			set_z_rotate(pezzi_rossi, rotazione_auto, 1);
			set_z_rotate(fari_anteriori, rotazione_auto, 1);
			set_z_rotate(griglia_anteriore_fari, rotazione_auto, 1);
			set_z_rotate(griglia_paraurti_anteriore_sotto, rotazione_auto, 1);
			set_z_rotate(vetri_fari_anteriori, rotazione_auto, 1);
			set_z_rotate(frecce, rotazione_auto, 1);
			set_z_rotate(marmitte, rotazione_auto, 1);
			set_z_rotate(targa, rotazione_auto, 1);
			set_z_rotate(stemma, rotazione_auto, 1);
			set_z_rotate(pinza_disco_freno_destro_posteriore, rotazione_auto, 1);
			set_z_rotate(pinza_disco_freno_sinistro_posteriore, rotazione_auto, 1);
			set_z_rotate(bulloni_cerchione_destro_posteriore, rotazione_auto, 1);
			set_z_rotate(pneumatico_destro_posteriore, rotazione_auto, 1);
			set_z_rotate(cerchio_completo_destro_posteriore, rotazione_auto, 1);
			set_z_rotate(bulloni_cerchione_sinistro_posteriore, rotazione_auto, 1);
			set_z_rotate(pneumatico_sinistro_posteriore, rotazione_auto, 1);
			set_z_rotate(cerchio_completo_sinistro_posteriore, rotazione_auto, 1);
			set_z_rotate(pinza_disco_freno_destro_anteriore, rotazione_auto, 1);
			set_z_rotate(pinza_disco_freno_sinistro_anteriore, rotazione_auto, 1);
			set_z_rotate(bulloni_cerchione_destro_anteriore, rotazione_auto, 1);
			set_z_rotate(pneumatico_destro_anteriore, rotazione_auto, 1);
			set_z_rotate(cerchio_completo_destro_anteriore, rotazione_auto, 1);
			set_z_rotate(bulloni_cerchione_sinistro_anteriore, rotazione_auto, 1);
			set_z_rotate(pneumatico_sinistro_anteriore, rotazione_auto, 1);
			set_z_rotate(cerchio_completo_sinistro_anteriore, rotazione_auto, 1);

			
			//riporto i pezzi nella posizione di partenza
			set_translate(carrozzeria, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(interni, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(vetri, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pezzi_neri, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(specchio_sx, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(specchio_dx, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pezzi_rossi, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(cerchio_completo_destro_posteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(cerchio_completo_sinistro_posteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pneumatico_destro_posteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pneumatico_sinistro_posteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(bulloni_cerchione_destro_posteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(bulloni_cerchione_sinistro_posteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pinza_disco_freno_destro_posteriore,pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pinza_disco_freno_sinistro_posteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(cerchio_completo_destro_anteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(cerchio_completo_sinistro_anteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pneumatico_destro_anteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pneumatico_sinistro_anteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(bulloni_cerchione_destro_anteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(bulloni_cerchione_sinistro_anteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pinza_disco_freno_destro_anteriore,pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(pinza_disco_freno_sinistro_anteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(fari_anteriori, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(griglia_anteriore_fari, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(griglia_paraurti_anteriore_sotto, pneumatico_destro_posteriore_x+conta_trasla_auto_x, 	pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(vetri_fari_anteriori, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(frecce, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(marmitte, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(targa, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
			set_translate(stemma, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);
		}
	
    		//Rotazione ruote anteriori, con sterzata

		//Traslo le ruote anteriori rispetto alla ruota posteriore destra
		set_translate(bulloni_cerchione_destro_anteriore,-bulloni_cerchione_destro_posteriore_x-conta_trasla_auto_x, -bulloni_cerchione_destro_posteriore_y-conta_trasla_auto_y, -bulloni_cerchione_destro_posteriore_z);	
		set_translate(pneumatico_destro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);	
		set_translate(cerchio_completo_destro_anteriore, -cerchio_completo_destro_posteriore_x-conta_trasla_auto_x, -cerchio_completo_destro_posteriore_y-conta_trasla_auto_y, -cerchio_completo_destro_posteriore_z);	
		set_translate(bulloni_cerchione_sinistro_anteriore,-bulloni_cerchione_destro_posteriore_x-conta_trasla_auto_x, -bulloni_cerchione_destro_posteriore_y-conta_trasla_auto_y, -bulloni_cerchione_destro_posteriore_z);	
		set_translate(pneumatico_sinistro_anteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);	
		set_translate(cerchio_completo_sinistro_anteriore, -cerchio_completo_destro_posteriore_x-conta_trasla_auto_x, -cerchio_completo_destro_posteriore_y-conta_trasla_auto_y, -cerchio_completo_destro_posteriore_z);

		//Elimino la rotazione imposta alle ruote anteriore dalla rotazione dell'auto nella svolta a destra
		set_z_rotate(bulloni_cerchione_destro_anteriore, -conta_rotazione_auto, 1);
		set_z_rotate(pneumatico_destro_anteriore, -conta_rotazione_auto, 1);
		set_z_rotate(cerchio_completo_destro_anteriore, -conta_rotazione_auto, 1);
		set_z_rotate(bulloni_cerchione_sinistro_anteriore, -conta_rotazione_auto, 1);
		set_z_rotate(pneumatico_sinistro_anteriore, -conta_rotazione_auto, 1);
		set_z_rotate(cerchio_completo_sinistro_anteriore, -conta_rotazione_auto, 1);		

		//Traslo le ruote anteriori in modo da portarle all'origine ed elimino la rotazione che effettua la sterzata
		set_translate(bulloni_cerchione_destro_anteriore, 0, bulloni_cerchione_destro_posteriore_y, 0);	
		set_translate(pneumatico_destro_anteriore, 0,pneumatico_destro_posteriore_y, 0);	
		set_translate(cerchio_completo_destro_anteriore, 0,cerchio_completo_destro_posteriore_y, 0);	
		set_translate(bulloni_cerchione_sinistro_anteriore, 0, bulloni_cerchione_destro_posteriore_y, 0);	
		set_translate(pneumatico_sinistro_anteriore, 0,pneumatico_destro_posteriore_y, 0);	
		set_translate(cerchio_completo_sinistro_anteriore, 0,cerchio_completo_destro_posteriore_y, 0);	

		set_z_rotate(bulloni_cerchione_destro_anteriore, -conta_gira_ruote_anteriori, 1);
		set_z_rotate(pneumatico_destro_anteriore, -conta_gira_ruote_anteriori, 1);
		set_z_rotate(cerchio_completo_destro_anteriore, -conta_gira_ruote_anteriori, 1);
	
		set_translate(bulloni_cerchione_sinistro_anteriore, -bulloni_cerchione_sinistro_posteriore_x, 0,0);	
		set_translate(pneumatico_sinistro_anteriore, -pneumatico_sinistro_posteriore_x, 0, 0);	
		set_translate(cerchio_completo_sinistro_anteriore, -cerchio_completo_sinistro_posteriore_x, 0, 0);

		set_z_rotate(bulloni_cerchione_sinistro_anteriore, -conta_gira_ruote_anteriori, 1);
		set_z_rotate(pneumatico_sinistro_anteriore, -conta_gira_ruote_anteriori, 1);
		set_z_rotate(cerchio_completo_sinistro_anteriore, -conta_gira_ruote_anteriori, 1);
		
		set_translate(bulloni_cerchione_sinistro_anteriore, bulloni_cerchione_sinistro_posteriore_x, 0,0);	
		set_translate(pneumatico_sinistro_anteriore, pneumatico_sinistro_posteriore_x, 0, 0);	
		set_translate(cerchio_completo_sinistro_anteriore, cerchio_completo_sinistro_posteriore_x, 0, 0);

		//Aggiorno il valore di sterzata delle ruote anteriori
		conta_gira_ruote_anteriori += gira_ruote_anteriori;
	
		//Setto la rotazione sulle ruote anteriori per fargli effettuare il rotolamento
		set_x_rotate(bulloni_cerchione_destro_anteriore, rotazione_ruote, 1);
		set_x_rotate(pneumatico_destro_anteriore, rotazione_ruote, 1);
		set_x_rotate(cerchio_completo_destro_anteriore, rotazione_ruote, 1);
		set_x_rotate(bulloni_cerchione_sinistro_anteriore, rotazione_ruote, 1);
		set_x_rotate(pneumatico_sinistro_anteriore, rotazione_ruote, 1);
		set_x_rotate(cerchio_completo_sinistro_anteriore, rotazione_ruote, 1);
	
		//Riporto la rotazione di sterzata al nuovo valore, e traslo le ruote anteriori in modo da portarle alla posizione di partenza
		set_z_rotate(bulloni_cerchione_destro_anteriore, conta_gira_ruote_anteriori, 1);
		set_z_rotate(pneumatico_destro_anteriore, conta_gira_ruote_anteriori, 1);
		set_z_rotate(cerchio_completo_destro_anteriore, conta_gira_ruote_anteriori, 1);
	
		set_translate(bulloni_cerchione_sinistro_anteriore, -bulloni_cerchione_sinistro_posteriore_x, 0,0);	
		set_translate(pneumatico_sinistro_anteriore, -pneumatico_sinistro_posteriore_x, 0, 0);	
		set_translate(cerchio_completo_sinistro_anteriore, -cerchio_completo_sinistro_posteriore_x, 0, 0);
	
		set_z_rotate(bulloni_cerchione_sinistro_anteriore, conta_gira_ruote_anteriori, 1);
		set_z_rotate(pneumatico_sinistro_anteriore, conta_gira_ruote_anteriori, 1);
		set_z_rotate(cerchio_completo_sinistro_anteriore, conta_gira_ruote_anteriori, 1);
		
		set_translate(bulloni_cerchione_sinistro_anteriore, bulloni_cerchione_sinistro_posteriore_x, 0,0);	
		set_translate(pneumatico_sinistro_anteriore, pneumatico_sinistro_posteriore_x, 0, 0);	
		set_translate(cerchio_completo_sinistro_anteriore, cerchio_completo_sinistro_posteriore_x, 0, 0);

		set_translate(bulloni_cerchione_destro_anteriore, 0, -bulloni_cerchione_destro_posteriore_y, 0);	
		set_translate(pneumatico_destro_anteriore, 0, -pneumatico_destro_posteriore_y, 0);	
		set_translate(cerchio_completo_destro_anteriore, 0, -cerchio_completo_destro_posteriore_y, 0);	
		set_translate(bulloni_cerchione_sinistro_anteriore, 0, -bulloni_cerchione_destro_posteriore_y, 0);	
		set_translate(pneumatico_sinistro_anteriore, 0, -pneumatico_destro_posteriore_y, 0);	
		set_translate(cerchio_completo_sinistro_anteriore, 0, -cerchio_completo_destro_posteriore_y, 0);
	
		//Reimposto la rotazione delle ruote anteriore rispetto alla rotazione dell'auto nella svolta a destra
		set_z_rotate(bulloni_cerchione_destro_anteriore, conta_rotazione_auto, 1);
		set_z_rotate(pneumatico_destro_anteriore, conta_rotazione_auto, 1);
		set_z_rotate(cerchio_completo_destro_anteriore, conta_rotazione_auto, 1);
		set_z_rotate(bulloni_cerchione_sinistro_anteriore, conta_rotazione_auto, 1);
		set_z_rotate(pneumatico_sinistro_anteriore, conta_rotazione_auto, 1);
		set_z_rotate(cerchio_completo_sinistro_anteriore, conta_rotazione_auto, 1);
	
		//Traslo nella posizione di partenza le ruote anteriori rispetto alla ruota posteriore destra
		set_translate(bulloni_cerchione_destro_anteriore, bulloni_cerchione_destro_posteriore_x+conta_trasla_auto_x, bulloni_cerchione_destro_posteriore_y+conta_trasla_auto_y, bulloni_cerchione_destro_posteriore_z);	
		set_translate(pneumatico_destro_anteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);	
		set_translate(cerchio_completo_destro_anteriore, cerchio_completo_destro_posteriore_x+conta_trasla_auto_x, cerchio_completo_destro_posteriore_y+conta_trasla_auto_y, cerchio_completo_destro_posteriore_z);	
		set_translate(bulloni_cerchione_sinistro_anteriore, bulloni_cerchione_destro_posteriore_x+conta_trasla_auto_x, bulloni_cerchione_destro_posteriore_y+conta_trasla_auto_y, bulloni_cerchione_destro_posteriore_z);	
		set_translate(pneumatico_sinistro_anteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);	
		set_translate(cerchio_completo_sinistro_anteriore, cerchio_completo_destro_posteriore_x+conta_trasla_auto_x, cerchio_completo_destro_posteriore_y+conta_trasla_auto_y, cerchio_completo_destro_posteriore_z);


		//Rotazione ruote posteriori
		//Traslo le ruote posteriori rispetto alla ruota posteriore destra
		set_translate(bulloni_cerchione_destro_posteriore,-bulloni_cerchione_destro_posteriore_x-conta_trasla_auto_x, -bulloni_cerchione_destro_posteriore_y-conta_trasla_auto_y, -bulloni_cerchione_destro_posteriore_z);	
		set_translate(pneumatico_destro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);	
		set_translate(cerchio_completo_destro_posteriore, -cerchio_completo_destro_posteriore_x-conta_trasla_auto_x, -cerchio_completo_destro_posteriore_y-conta_trasla_auto_y, -cerchio_completo_destro_posteriore_z);	
		set_translate(bulloni_cerchione_sinistro_posteriore,-bulloni_cerchione_destro_posteriore_x-conta_trasla_auto_x, -bulloni_cerchione_destro_posteriore_y-conta_trasla_auto_y, -bulloni_cerchione_destro_posteriore_z);	
		set_translate(pneumatico_sinistro_posteriore, -pneumatico_destro_posteriore_x-conta_trasla_auto_x, -pneumatico_destro_posteriore_y-conta_trasla_auto_y, -pneumatico_destro_posteriore_z);	
		set_translate(cerchio_completo_sinistro_posteriore, -cerchio_completo_destro_posteriore_x-conta_trasla_auto_x, -cerchio_completo_destro_posteriore_y-conta_trasla_auto_y, -cerchio_completo_destro_posteriore_z);		
	
		//Elimino la rotazione imposta alle ruote posteriori dalla rotazione dell'auto nella svolta a destra
		set_z_rotate(bulloni_cerchione_destro_posteriore, -conta_rotazione_auto, 1);
		set_z_rotate(pneumatico_destro_posteriore, -conta_rotazione_auto, 1);
		set_z_rotate(cerchio_completo_destro_posteriore, -conta_rotazione_auto, 1);
		set_z_rotate(bulloni_cerchione_sinistro_posteriore, -conta_rotazione_auto, 1);
		set_z_rotate(pneumatico_sinistro_posteriore, -conta_rotazione_auto, 1);
		set_z_rotate(cerchio_completo_sinistro_posteriore, -conta_rotazione_auto, 1);
		
		//Setto la rotazione sulle ruote posteriori per fargli effettuare il rotolamento
		set_x_rotate(bulloni_cerchione_destro_posteriore, rotazione_ruote, 1);
		set_x_rotate(pneumatico_destro_posteriore, rotazione_ruote, 1);
		set_x_rotate(cerchio_completo_destro_posteriore, rotazione_ruote, 1);
		set_x_rotate(bulloni_cerchione_sinistro_posteriore, rotazione_ruote, 1);
		set_x_rotate(pneumatico_sinistro_posteriore, rotazione_ruote, 1);
		set_x_rotate(cerchio_completo_sinistro_posteriore, rotazione_ruote, 1);

		//Reimposto la rotazione delle ruote posteriori rispetto alla rotazione dell'auto nella svolta a destra
		set_z_rotate(bulloni_cerchione_destro_posteriore, conta_rotazione_auto, 1);
		set_z_rotate(pneumatico_destro_posteriore, conta_rotazione_auto, 1);
		set_z_rotate(cerchio_completo_destro_posteriore, conta_rotazione_auto, 1);
		set_z_rotate(bulloni_cerchione_sinistro_posteriore, conta_rotazione_auto, 1);
		set_z_rotate(pneumatico_sinistro_posteriore, conta_rotazione_auto, 1);
		set_z_rotate(cerchio_completo_sinistro_posteriore, conta_rotazione_auto, 1);
	
		//Traslo nella posizione di partenza le ruote posteriori rispetto alla ruota posteriore destra
		set_translate(bulloni_cerchione_destro_posteriore, bulloni_cerchione_destro_posteriore_x+conta_trasla_auto_x, bulloni_cerchione_destro_posteriore_y+conta_trasla_auto_y, bulloni_cerchione_destro_posteriore_z);	
		set_translate(pneumatico_destro_posteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);	
		set_translate(cerchio_completo_destro_posteriore, cerchio_completo_destro_posteriore_x+conta_trasla_auto_x, cerchio_completo_destro_posteriore_y+conta_trasla_auto_y, cerchio_completo_destro_posteriore_z);	
		set_translate(bulloni_cerchione_sinistro_posteriore, bulloni_cerchione_destro_posteriore_x+conta_trasla_auto_x, bulloni_cerchione_destro_posteriore_y+conta_trasla_auto_y, bulloni_cerchione_destro_posteriore_z);	
		set_translate(pneumatico_sinistro_posteriore, pneumatico_destro_posteriore_x+conta_trasla_auto_x, pneumatico_destro_posteriore_y+conta_trasla_auto_y, pneumatico_destro_posteriore_z);	
		set_translate(cerchio_completo_sinistro_posteriore, cerchio_completo_destro_posteriore_x+conta_trasla_auto_x, cerchio_completo_destro_posteriore_y+conta_trasla_auto_y, cerchio_completo_destro_posteriore_z);	
	}
	save_scene_ani(FRAME,"mustang_animazione.ani", "mustang_animazione", "scene", scene);
  }

  return(0);
}
